%define major	0

Summary: High-performance CORBA Object Request Broker.
Name: ORBit
Version: 0.5.13
Release: 1mdk
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/ORBit//ORBit-%{version}.tar.bz2
Group: System/Libraries
Url: http://www.gnome.org/
License: LGPL/GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	byacc flex glib-devel tcp_wrappers-devel

%description
ORBit is a high-performance CORBA ORB (object request
broker). It allows programs to send requests and 
receive replies from other programs, regardless of
the locations of the two programs.

You will need to install this package and the
related header files, libraries and utilities
if you want to write programs that use CORBA
technology.

%package -n lib%{name}%{major}
Summary: Libraries for high-performance CORBA Object Request Broker
Group: System/Libraries

%description -n lib%{name}%{major}
ORBit is a high-performance CORBA ORB (object request
broker). It allows programs to send requests and 
receive replies from other programs, regardless of
the locations of the two programs.

This package contains libraries used by ORBit.

%package -n lib%{name}%{major}-devel
Summary: Development libraries, header files and utilities for ORBit.
Group: Development/GNOME and GTK+
Requires: glib-devel
Requires: %{name} = %{version}
Prereq: /sbin/install-info
# indent is called by orbit-idl
Requires: indent
Requires: lib%{name}%{major} = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{name}-devel = %{version}


%description -n lib%{name}%{major}-devel
ORBit is a high-performance CORBA ORB (object request
broker) with support for the C language. It allows
programs to send requests and receive replies from
other programs, regardless of the locations of the
two programs.

This package contains the header files, libraries and 
utilities necessary to write programs that use CORBA
technology.

%prep
%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%post -n lib%{name}%{major}-devel
%_install_info libIDL.info

%preun -n lib%{name}%{major}-devel
%_remove_install_info libIDL.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/ior-decode
%{_bindir}/name-client
%{_bindir}/*-server
%{_bindir}/orbit-ird
%{_datadir}/idl

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%doc docs/*
%{_bindir}/libIDL-config
%{_bindir}/orbit-config
%{_bindir}/orbit-idl
%{_includedir}/*
%{_infodir}/libIDL.info*
%{_libdir}/*.sh
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

%changelog
* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.13-1mdk
- Release 0.5.13
- Add missing files

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.12-1mdk
- Release 0.5.12

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.11-1mdk
- Release 0.5.11
- Libification

* Sat Oct 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.8-3mdk
- BuildRequires:	byacc flex

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.8-2mdk
- BuildRequires:	glib-devel
- Copyright --> License

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.8-1mdk
- Release 0.5.8
- Clean specfile

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.7-1mdk
- Release 0.5.7

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.6-1mdk
- Release 0.5.6

* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.5-1mdk
- Release 0.5.5

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5.4-1mdk
- new version
- added some files

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-2mdk
- Rebuild to remove bad rpath

* Thu Jul 27 2000 dam's <damien@mandrakesoft.com> 0.5.3-1mdk
- updated to 0.5.3

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-3mdk
- correct pre/post uninstall scripts for devel (thanks Anton)
- use more macros

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-2mdk
- add depend of devel on Orbit
- BM
- recreate tar file to remove date from one file

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 0.5.2-1mdk
- updated. Make mc-4.5.51 compilable.
- cleanup spec.

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.1-2mdk
- adjust new group .
- cleanup spec .

* Fri Oct 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5.1

* Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.4.94 

* Wed Aug 18 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add defattr for devel package

* Wed Aug 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added dependency for ORBit-devel

* Tue Aug 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.4.93 

* Wed Aug 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- upgraded to 0.4.92

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last CVS version from Mon Jun 28 1999.

* Sat Jun  5 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Add libIDL-config to ORBit-devel

* Sun May  1 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Apr 10 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4.3

* Tue Apr 06 1999 Michael Fulbright <drmike@redhat.com>
- fixed some user permissions in the tarball

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4.1 and 0.4.2 in one day, woohoo!

* Mon Feb 22 1999 Michael Fulbright <drmike@redhat.com>
- unlibtoolize

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- updated to version 0.3.98

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- updated to version 0.3.97

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- updated to version 0.3.96

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to version 0.3.91

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze, version 0.3.90

* Mon Nov 23 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- improved %files section, and added use of %{prefix} and install-info
  (well,... no. The info file has not dir info inside, commented out)
